import 'package:flutter/material.dart';

class ExampleBtn extends StatelessWidget {
  const ExampleBtn({
    required this.text,
    required this.assetName,
    required this.onTap,
    Key? key,
  }) : super(key: key);

  final String text;
  final String assetName;
  final VoidCallback? onTap;

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      onPressed: onTap,
      style: ElevatedButton.styleFrom(
        primary: Colors.white,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(10),
        ),
        elevation: 0,
        minimumSize: const Size(0, 77),
      ),
      child: SizedBox(
        width: double.infinity,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            const SizedBox(height: 14),
            Image.asset(
              assetName,
              height: 24,
              width: 24,
            ),
            const SizedBox(height: 8),
            Text(
              text,
              style: const TextStyle(
                fontWeight: FontWeight.w500,
                fontSize: 14,
                color: Colors.black,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
